/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomAttr_H__
#define __GdomAttr_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomEventTargetNode.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomAttr GdomAttr;
typedef struct _GdomAttrClass GdomAttrClass;


#define GDOM_TYPE_ATTR            (gdom_attr_get_type())
#define GDOM_ATTR(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_ATTR, GdomAttr))
#define GDOM_ATTR_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_ATTR, GdomAttr)Class)
#define GDOM_IS_ATTR(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_ATTR))
#define GDOM_IS_ATTR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_ATTR))
#define GDOM_ATTR_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_ATTR, GdomAttrClass))

typedef struct _GdomAttrPrivate GdomAttrPrivate;

struct _GdomAttr {
    GdomEventTargetNode parent_instance;
    GdomAttrPrivate *priv;
};

struct _GdomAttrClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_attr_get_type (void);

G_END_DECLS

#endif /* __GdomAttr_H__ */
